tbb::interface5::concurrent_unordered_set< Key, Hasher, Key_equality, Allocator > Class Template Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
tbb::interface5::concurrent_unordered_set< Key, Hasher, Key_equality, Allocator > Class Template Reference
Inheritance diagram for tbb::interface5::concurrent_unordered_set< Key, Hasher, Key_equality, Allocator >:

## Public Types
typedef Key | key_type
typedef base_type::value_type | value_type
typedef Key | mapped_type
typedef Hasher | hasher
typedef Key_equality | key_equal
typedef hash_compare | key_compare
typedef base_type::allocator_type | allocator_type
typedef base_type::pointer | pointer
typedef base_type::const_pointer | const_pointer
typedef base_type::reference | reference
typedef base_type::const_reference | const_reference
typedef base_type::size_type | size_type
typedef base_type::difference_type | difference_type
typedef base_type::iterator | iterator
typedef base_type::const_iterator | const_iterator
typedef base_type::iterator | local_iterator
typedef base_type::const_iterator | const_local_iterator

## Public Member Functions
| concurrent_unordered_set (size_type n_of_buckets=base_type::initial_bucket_number, const hasher &a_hasher=hasher(), const key_equal &a_keyeq=key_equal(), const allocator_type &a=allocator_type())
| concurrent_unordered_set (const Allocator &a)
template<typename Iterator >
| concurrent_unordered_set (Iterator first, Iterator last, size_type n_of_buckets=base_type::initial_bucket_number, const hasher &a_hasher=hasher(), const key_equal &a_keyeq=key_equal(), const allocator_type &a=allocator_type())
| concurrent_unordered_set (std::initializer_list< value_type > il, size_type n_of_buckets=base_type::initial_bucket_number, const hasher &a_hasher=hasher(), const key_equal &a_keyeq=key_equal(), const allocator_type &a=allocator_type())
| Constructor from initializer_list.
| concurrent_unordered_set (const concurrent_unordered_set &table)
concurrent_unordered_set & | operator= (const concurrent_unordered_set &table)
| concurrent_unordered_set (concurrent_unordered_set &&table)
concurrent_unordered_set & | operator= (concurrent_unordered_set &&table)
| concurrent_unordered_set (concurrent_unordered_set &&table, const Allocator &a)
| concurrent_unordered_set (const concurrent_unordered_set &table, const Allocator &a)

The documentation for this class was generated from the following file:

- concurrent_unordered_set.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.